Bug 119446 - Form controls Design Mode impacts speed
Summary: Form controls Design Mode impacts speed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2018-08-23 11:10 UTC by matti.jaatinen
Modified: 2021-09-19 03:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example document with controls (37.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-08-23 11:10 UTC, matti.jaatinen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description matti.jaatinen 2018-08-23 11:10:44 UTC
Created attachment 144388 [details]
Example document with controls

When Form controls Design Mode is off. Attached spreadsheet document is slow to scroll.
When Form controls Design Mode is on. The scrolling speed is much faster.
Comment 1 Buovjaga 2018-09-18 17:26:55 UTC
Repro, also with 3.3.0 on Win.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 05db125c57ea3c8f04a304561209c32cc5c45a67
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on September 17th 2018
Comment 2 QA Administrators 2019-09-19 03:15:17 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2021-09-19 03:43:42 UTC
Dear matti.jaatinen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug